import { ClassLike } from '@mlytics/core-ts/core/type/basic';
type SpecDriver = MLYSpecDriver;
interface SpecDriverExtension {
    _driver: SpecDriver;
}
interface SpecDriverExtensionClass {
    _driver: SpecDriver;
    _isPublic: boolean;
    _publicName: string;
}
interface SpecDriverExtensionMixin extends SpecDriverExtensionClass, ClassLike<SpecDriverExtension> {
}
declare const DriverExtensionMixer: <T extends ClassLike<object, any[]>>(base: T) => T & SpecDriverExtensionMixin;
declare const DriverExtensionMixin_base: ObjectConstructor & SpecDriverExtensionMixin;
declare class DriverExtensionMixin extends DriverExtensionMixin_base {
}
export { SpecDriver, SpecDriverExtensionMixin, DriverExtensionMixer, DriverExtensionMixin };
