import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { RetryBackoff } from '@mlytics/core-ts/core/util/backoff';
import { Processor, ProcessorOptions } from '@mlytics/core-ts/utility/processor';
declare class DriverDaemon {
    static readonly DEFAULT_PROCESSOR_OPTIONS: ProcessorOptions;
    protected _processor?: Nullable<Processor>;
    activate(): Promise<void>;
    deactivate(): Promise<void>;
}
declare class DriverSupervisor {
    protected _daemon: DriverDaemon;
    protected _backoff: RetryBackoff;
    initialize(): Promise<void>;
    protected get _shouldRetry(): boolean;
}
export { DriverSupervisor };
