import { HlsConfig } from '../../../../../../../module/lib/hls';
declare class HlsConfigBuilder {
    protected _config: Partial<HlsConfig>;
    protected _configs: Partial<HlsConfig>[];
    constructor(config: Partial<HlsConfig>, ...configs: Partial<HlsConfig>[]);
    build(): HlsConfig;
    protected _initialize(): void;
    protected _setGeneral(): void;
    protected _setLatency(): void;
    protected _mergeWith(config: Partial<HlsConfig>, ...configs: Partial<HlsConfig>[]): void;
}
export { HlsConfigBuilder };
