import { PartialDeep } from '@mlytics/core-ts/core/type/basic';
import { AbstractHlsPlayerPlugin, HlsPlayerAdapterOptions, SpecHlsPlayerAdapter } from '../../../../base/streaming/hls/player/plugin';
import { RadiantMPOptions } from '../../../base/module/player';
declare global {
    interface MLYSpecDriverExtensions {
        RadiantMPHlsPlayerPlugin: typeof RadiantMPHlsPlayerPlugin;
    }
}
declare const RadiantMPHlsPlayerPlugin_base: typeof AbstractHlsPlayerPlugin & import("../../../base/module/mixin").SpecRadiantMPExtensionAbstractMixin;
declare class RadiantMPHlsPlayerPlugin extends RadiantMPHlsPlayerPlugin_base {
    static _isPublic: boolean;
    static _publicName: string;
    static _setup(): void;
    static create(options: RadiantMPHlsPlayerAdapterOptions): SpecHlsPlayerAdapter;
}
type RadiantMPHlsPlayerAdapterOptions = {
    elementID: string;
    playerOptions: RadiantMPHlsPlayerOptions;
    adapterOptions?: PartialDeep<RadiantMPHlsAdapterOptions>;
};
type RadiantMPHlsPlayerOptions = RadiantMPOptions;
type RadiantMPHlsAdapterOptions = HlsPlayerAdapterOptions;
export { RadiantMPHlsPlayerPlugin };
