import { AbstractBundlePlugin } from '../../../../base/streaming/base/bundle/plugin';
import { Videojs7 } from '../../../videojs7/base/module/player';
import { Videojs8 } from '../../../videojs8/base/module/player';
declare global {
    interface MLYSpecDriverExtensions {
        VideojsHlsPlugin: typeof VideojsHlsPlugin;
    }
}
declare class VideojsHlsPlugin extends AbstractBundlePlugin {
    static _isPublic: boolean;
    static _publicName: string;
    static register(videojs: Videojs8 | Videojs7): void;
    protected static _register(videojs: Videojs8 | Videojs7): void;
    protected static _registerVideojs7(videojs: Videojs7): void;
    protected static _registerVideojs8(videojs: Videojs8): void;
}
export { VideojsHlsPlugin };
