import type { VideoJsPlayer } from 'videojs7';
import type videojs from 'videojs7';
declare global {
    interface Window {
        videojs: typeof videojs;
    }
}
type Videojs7 = typeof videojs;
type Videojs7Player = VideoJsPlayer;
type Videojs7Source = videojs.Tech.SourceObject;
type Videojs7Tech = videojs.Tech;
type Videojs7Options = videojs.PlayerOptions;
type Videojs7Component = {
    el_: HTMLElement;
};
export { videojs as videojs7, Videojs7, Videojs7Player, Videojs7Source, Videojs7Tech, Videojs7Options, Videojs7Component };
