import { DriverExtensionMixin } from '../../../../../../essential/module/mixin';
import { SpecVideojsSourceProcessor } from '../../../base/plugin';
import { Videojs7Source, Videojs7Tech } from './player';
type Videojs7SourceTech = Videojs7Tech & {
    registerSourceHandler(sourceHandler: Videojs7SourceHandler, index: number): void;
};
declare const Videojs7SourceHandler_base: typeof DriverExtensionMixin & import("../../../base/module/mixin").SpecVideojsExtensionMixin;
declare class Videojs7SourceHandler extends Videojs7SourceHandler_base {
    static canPlayType(type: string): string;
    static canHandleSource(source: Videojs7Source): boolean;
    static handleSource(source: Videojs7Source, tech: Videojs7Tech): SpecVideojsSourceProcessor;
}
export { Videojs7SourceTech, Videojs7SourceHandler };
