import QualityLevelList from 'videojs-contrib-quality-levels/src/quality-level-list';
import hlsQualitySelector from 'videojs-hls-quality-selector';
import { Hls, HlsConfig } from '../../../../../../../../module/lib/hls';
import { AbstractHlsSourcePlugin } from '../../../../../base/streaming/hls/source/plugin';
import { Videojs7SourceTech } from '../../../base/module/plugin';
declare module 'videojs7' {
    interface VideoJsPlayer {
        qualityLevels: {
            VERSION: string;
            (): QualityLevelList;
        };
        hlsQualitySelector: typeof hlsQualitySelector;
    }
}
declare const Videojs7HlsSourcePlugin_base: typeof AbstractHlsSourcePlugin & import("../../../../base/module/mixin").SpecVideojsExtensionAbstractMixin;
declare class Videojs7HlsSourcePlugin extends Videojs7HlsSourcePlugin_base {
    static _setup(): void;
}
type VideojsHlsTech = Videojs7SourceTech & {
    hls: Hls;
    options_: VideojsHlsHTML5Options;
};
type VideojsHlsHTML5Options = {
    playerId: string;
    hlsConfig: HlsConfig;
};
export { Videojs7HlsSourcePlugin, VideojsHlsTech };
