import { DriverExtensionMixin } from '../../../../../../essential/module/mixin';
import { SpecVideojsSourceProcessor } from '../../../base/plugin';
import { Videojs8Source, Videojs8Tech } from './player';
type Videojs8SourceTech = Videojs8Tech & {
    registerSourceHandler(sourceHandler: Videojs8SourceHandler, index: number): void;
};
declare const Videojs8SourceHandler_base: typeof DriverExtensionMixin & import("../../../base/module/mixin").SpecVideojsExtensionMixin;
declare class Videojs8SourceHandler extends Videojs8SourceHandler_base {
    static canPlayType(type: string): string;
    static canHandleSource(source: Videojs8Source): boolean;
    static handleSource(source: Videojs8Source, tech: Videojs8Tech): SpecVideojsSourceProcessor;
}
export { Videojs8SourceTech, Videojs8SourceHandler };
