type ServerResponse = {
    meta: {
        code: number;
        status: string;
        message: string;
    };
    data: unknown;
};
type HostAPIReadHostsResponse = {
    token: string;
    metering: string;
    websocket: string[];
};
type TokenAPIReadTokenResponse = ServerResponse & {
    data: {
        token: string;
        peer_id: string;
    };
};
type MeteringAPICreateCDNDownloadAggregationData = {
    data: {
        time: number;
        orgID: string;
        streamID: string;
        viewerID: string;
        platformID: string;
        platformType: string;
        successCount: number;
        failureCount: number;
        transferSize: number;
        bandwidth: number;
        schemaVersion: string;
    }[];
};
type MeteringAPICreateP2PDownloadAggregationData = {
    data: {
        time: number;
        orgID: string;
        streamID: string;
        targetPeerID: string;
        targetPeerType: string;
        successCount: number;
        failureCount: number;
        transferSize: number;
        schemaVersion: string;
    }[];
};
export { HostAPIReadHostsResponse, TokenAPIReadTokenResponse, MeteringAPICreateCDNDownloadAggregationData, MeteringAPICreateP2PDownloadAggregationData };
