import { TimeSeriesDataLike } from '../../../model/service/metrics';
type HTTPDownloadAggregationReport = TimeSeriesDataLike & {
    platformID: string;
    platformType: string;
    successCount: number;
    failureCount: number;
    transferSize: number;
    bandwidth: number;
};
type P2PDownloadAggregationReport = TimeSeriesDataLike & {
    targetPeerID: string;
    targetPeerType: string;
    successCount: number;
    failureCount: number;
    transferSize: number;
};
export { HTTPDownloadAggregationReport, P2PDownloadAggregationReport };
