import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { TaskManager } from '@mlytics/core-ts/core/util/future';
declare class ReportSubmitter {
    protected _taskManager: TaskManager;
    activate(): Promise<void>;
    deactivate(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _buildHandleHTTPDownloadAggregationTask(): Promise<void>;
    protected _buildHandleP2PDownloadAggregationTask(): Promise<void>;
    protected _buildHandleHTTPDownloadAggregationReportTask(): Promise<void>;
    protected _buildHandleP2PDownloadAggregationReportTask(): Promise<void>;
}
declare class ReportSubmitterHolder {
    protected static _instance?: Nullable<ReportSubmitter>;
    static get instance(): Nullable<ReportSubmitter>;
    static set instance(value: Nullable<ReportSubmitter>);
}
export { ReportSubmitter, ReportSubmitterHolder };
