import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { CDN } from '../model/mcdn';
declare class MCDNStats {
    protected _cdns: Map<string, CDN>;
    protected _networkBandwidth: number;
    constructor();
    get cdns(): Map<string, CDN>;
    set cdns(value: Map<string, CDN>);
    get networkBandwidth(): number;
    set networkBandwidth(value: number);
    reset(): void;
}
declare class MCDNStatsHolder {
    protected static _instance?: Nullable<MCDNStats>;
    static get instance(): Nullable<MCDNStats>;
    static set instance(value: Nullable<MCDNStats>);
    static get cdns(): Map<string, CDN>;
    static get networkBandwidth(): number;
    static set networkBandwidth(value: number);
}
export { MCDNStats, MCDNStatsHolder };
