import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { DelayBackoff } from '@mlytics/core-ts/core/util/backoff';
import { SpecQueue } from '@mlytics/core-ts/core/util/queue';
import { AbstractDownloader } from './base/loader';
import { AbstractDownloaderAgent, AbstractDownloaderProxy, DownloaderProxyConstructor } from './proxy';
declare abstract class AbstractFileDownloader extends AbstractDownloader {
    protected _proxy?: Nullable<AbstractDownloaderProxy>;
    protected _proxyAgent: AbstractDownloaderAgent;
    protected _proxyClasses?: SpecQueue<DownloaderProxyConstructor>;
    protected _backoff: DelayBackoff;
    protected abstract _initialize(): void;
    protected _fetching(): Promise<void>;
    protected get _shouldFetch(): boolean;
    protected _ensureQueue(): Promise<void>;
    protected _electProxy(): Promise<void>;
    protected _proxyFetch(): Promise<void>;
    protected get _isQueueEmpty(): boolean;
    protected _abort(): Promise<void>;
}
export { AbstractFileDownloader };
