declare class MathFunction {
    static upwardExponentialCurve(input: number, scale: number): number;
    static downwardExponentialCurve(input: number, scale: number): number;
    static upwardSigmoidCurve(input: number, scale: number): number;
    static convexHyperbolicTangentCurve(input: number, scale: number): number;
}
declare class MathCalculator {
    static weightedAverage(data: WeightedData[]): number;
}
type WeightedData = {
    offset: number;
    value: number;
};
export { MathFunction, MathCalculator, WeightedData };
