import _m0 from "protobufjs/minimal";
export interface MessagePayload {
    action: string;
    header?: MessageHeader | undefined;
}
export interface MessageHeader {
    correlation_id?: string | undefined;
    source_peer_id?: string | undefined;
}
export interface RequestPayload {
    action: string;
    header: RequestHeader | undefined;
}
export interface RequestHeader {
    correlation_id: string;
    source_peer_id: string;
}
export interface ResponsePayload {
    action: string;
    header: ResponseHeader | undefined;
}
export interface ResponseHeader {
    correlation_id: string;
    response_code: number;
    response_status: boolean;
    response_message: string;
}
export declare const MessagePayload: {
    encode(message: MessagePayload, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): MessagePayload;
};
export declare const MessageHeader: {
    encode(message: MessageHeader, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): MessageHeader;
};
export declare const RequestPayload: {
    encode(message: RequestPayload, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): RequestPayload;
};
export declare const RequestHeader: {
    encode(message: RequestHeader, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): RequestHeader;
};
export declare const ResponsePayload: {
    encode(message: ResponsePayload, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): ResponsePayload;
};
export declare const ResponseHeader: {
    encode(message: ResponseHeader, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number): ResponseHeader;
};
