import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { InternalError } from '@mlytics/core-ts/core/util/error';
declare class ErrorMessageDetector {
    protected readonly _buffer: Uint8Array;
    protected _error?: Nullable<InternalError>;
    constructor(_buffer: Uint8Array);
    get error(): Nullable<InternalError>;
    get buffer(): Uint8Array;
    protected _initialize(): void;
    protected _setError(): void;
    throwIfError(): void;
    static throwIfError(buffer: Uint8Array): void;
}
export { ErrorMessageDetector };
