import { AbstractProcessAgent } from '../../../../../base/daemon/process/flow/agent';
import { ProcessPipeConstructor } from '../../../../../base/daemon/process/flow/pipe';
declare class NodeAgent extends AbstractProcessAgent {
    static readonly PIPE_NAMES: Map<string, string>;
    static readonly PIPE_CLASSES: Map<string, ProcessPipeConstructor>;
    protected get _pipeNames(): Map<string, string>;
    protected get _pipeClasses(): Map<string, ProcessPipeConstructor>;
}
declare class UserAgent extends AbstractProcessAgent {
    static readonly PIPE_NAMES: Map<string, string>;
    static readonly PIPE_CLASSES: Map<string, ProcessPipeConstructor>;
    protected get _pipeNames(): Map<string, string>;
    protected get _pipeClasses(): Map<string, ProcessPipeConstructor>;
}
export { NodeAgent, UserAgent };
