import { ProtocolMessage } from '../../../../../../../protocol/client/utility/message/message';
import { AbstractProcessFlow } from '../../../../../base/daemon/process/flow/flow';
import { SpecPeerBroker } from '../../../../broker/broker';
declare class LaunchNotifyExceptionFlow extends AbstractProcessFlow<LaunchNotifyExceptionContent> {
    protected _broker: SpecPeerBroker;
    process(): Promise<void>;
    protected _intakeBroker(): Promise<void>;
    protected _intakeCreator(): Promise<void>;
    protected _recordMessage(): Promise<void>;
    protected _forwardMessage(): Promise<void>;
}
type LaunchNotifyExceptionContent = {
    error: Error;
};
declare class HandleNotifyExceptionFlow extends AbstractProcessFlow<HandleNotifyExceptionContent> {
    process(): Promise<void>;
    protected _recordMessage(): Promise<void>;
}
type HandleNotifyExceptionContent = ProtocolMessage;
export { LaunchNotifyExceptionFlow, LaunchNotifyExceptionContent, HandleNotifyExceptionFlow, HandleNotifyExceptionContent };
