import { AbstractProcessPipe } from '../../../../../base/daemon/process/flow/pipe';
import * as flows from '../flow';
declare class LaunchNotifyExceptionPipe extends AbstractProcessPipe<LaunchNotifyExceptionContent> {
    process(): Promise<void>;
    protected _notifyException(): Promise<void>;
}
type LaunchNotifyExceptionContent = flows.LaunchNotifyExceptionContent;
declare class HandleNotifyExceptionPipe extends AbstractProcessPipe<HandleNotifyExceptionContent> {
    process(): Promise<void>;
    protected _notifyException(): Promise<void>;
}
type HandleNotifyExceptionContent = flows.HandleNotifyExceptionContent;
export { LaunchNotifyExceptionPipe, LaunchNotifyExceptionContent, HandleNotifyExceptionPipe, HandleNotifyExceptionContent };
