import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { AbstractLauncher, SpecLauncher } from '../../../base/launcher/launcher';
import { AbstractPeerDaemon } from '../../daemon/base/daemon';
interface SpecPeerLauncher extends SpecLauncher {
}
declare abstract class AbstractPeerLauncher extends AbstractLauncher implements SpecPeerLauncher {
    protected _daemon?: Nullable<AbstractPeerDaemon>;
}
declare class PeerLauncherEvent {
    static readonly CONNECTED = "connected";
    static readonly DISCONNECTED = "disconnected";
}
export { SpecPeerLauncher, AbstractPeerLauncher, PeerLauncherEvent };
