import { UserDaemonOptions } from '../../daemon/user/daemon';
import { AbstractPeerLauncher } from '../base/launcher';
declare class UserLauncher extends AbstractPeerLauncher {
    protected readonly _options: UserLauncherOptions;
    constructor(_options: UserLauncherOptions);
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
    protected _reactivate(): Promise<void>;
    protected _bindEvents(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _onDisconnected(): Promise<void>;
}
type UserLauncherOptions = UserDaemonOptions;
export { UserLauncher, UserLauncherOptions };
