import { AbstractProcessAgent } from '../base/agent';
import { ProcessPipeConstructor } from '../base/pipe';
declare class SwarmProcessAgent extends AbstractProcessAgent {
    static readonly PIPE_NAMES: Map<string, string>;
    static readonly PIPE_CLASSES: Map<string, ProcessPipeConstructor>;
    protected get _pipeNames(): Map<string, string>;
    protected get _pipeClasses(): Map<string, ProcessPipeConstructor>;
}
export { SwarmProcessAgent };
