import { FlowConstructor, FlowContent, FlowOutcome } from '@mlytics/core-ts/utility/flow';
import { AbstractProcessFlow, ProcessFlowOptions } from './flow';
declare abstract class AbstractProcessPipe<Content = unknown, Outcome = unknown> extends AbstractProcessFlow<Content, Outcome> {
    constructor(options?: ProcessPipeOptions<Content>);
}
type ProcessPipeOptions<Content> = ProcessFlowOptions<Content>;
type ProcessPipeContent<Pipe> = FlowContent<Pipe>;
type ProcessPipeOutcome<Pipe> = FlowOutcome<Pipe>;
type ProcessPipeConstructor = FlowConstructor<AbstractProcessPipe>;
export { AbstractProcessPipe, ProcessPipeOptions, ProcessPipeContent, ProcessPipeOutcome, ProcessPipeConstructor };
