import * as flows from '../../../../../tracker/daemon/base/process/flow';
import { AbstractProcessPipe } from '../base/pipe';
declare class LaunchJoinSwarmPipe extends AbstractProcessPipe<LaunchJoinSwarmContent> {
    process(): Promise<void>;
    protected _joinSwarm(): Promise<void>;
}
type LaunchJoinSwarmContent = flows.LaunchJoinSwarmContent;
declare class LaunchReportSwarmStatsPipe extends AbstractProcessPipe<LaunchReportSwarmStatsContent> {
    process(): Promise<void>;
    protected _reportSwarmStats(): Promise<void>;
}
type LaunchReportSwarmStatsContent = flows.LaunchReportSwarmStatsContent;
declare class LaunchObtainSwarmUsersPipe extends AbstractProcessPipe<LaunchObtainSwarmUsersContent, LaunchObtainSwarmUsersOutcome> {
    process(): Promise<LaunchObtainSwarmUsersOutcome>;
    protected _obtainSwarmUsers(): Promise<void>;
}
type LaunchObtainSwarmUsersContent = flows.LaunchObtainSwarmUsersContent;
type LaunchObtainSwarmUsersOutcome = flows.LaunchObtainSwarmUsersOutcome;
declare class LaunchLeaveSwarmPipe extends AbstractProcessPipe<LaunchLeaveSwarmContent> {
    process(): Promise<void>;
    protected _leaveSwarm(): Promise<void>;
}
type LaunchLeaveSwarmContent = flows.LaunchLeaveSwarmContent;
export { LaunchJoinSwarmPipe, LaunchJoinSwarmContent, LaunchReportSwarmStatsPipe, LaunchReportSwarmStatsContent, LaunchObtainSwarmUsersPipe, LaunchObtainSwarmUsersContent, LaunchObtainSwarmUsersOutcome, LaunchLeaveSwarmPipe, LaunchLeaveSwarmContent };
