import { AbstractProcessFlow } from '../../../../../base/daemon/process/flow/flow';
import { SpecTrackerBroker } from '../../../../broker/broker';
declare class LaunchConnectNodeFlow extends AbstractProcessFlow<LaunchConnectNodeContent, LaunchConnectNodeOutcome> {
    protected _broker: SpecTrackerBroker;
    process(): Promise<LaunchConnectNodeOutcome>;
    protected _intakeBroker(): Promise<void>;
    protected _intakeRequest(): Promise<void>;
    protected _forwardRequest(): Promise<void>;
    protected _intakeResponse(): Promise<void>;
    protected _intakeOutcome(): Promise<void>;
}
type LaunchConnectNodeContent = RTCSessionDescriptionInit;
type LaunchConnectNodeOutcome = {
    peerID: string;
    sdp: string;
    type: RTCSdpType;
};
export { LaunchConnectNodeFlow, LaunchConnectNodeContent, LaunchConnectNodeOutcome };
