import { AbstractProcessPipe } from '../../../../../base/daemon/process/flow/pipe';
import * as flows from '../flow';
declare class HandleNotifyExceptionPipe extends AbstractProcessPipe<HandleNotifyExceptionContent> {
    process(): Promise<void>;
    protected _notifyException(): Promise<void>;
}
type HandleNotifyExceptionContent = flows.HandleNotifyExceptionContent;
declare class HandleConfirmReceiptPipe extends AbstractProcessPipe<HandleConfirmReceiptContent> {
    process(): Promise<void>;
    protected _confirmReceipt(): Promise<void>;
}
type HandleConfirmReceiptContent = flows.HandleConfirmReceiptContent;
export { HandleNotifyExceptionPipe, HandleNotifyExceptionContent, HandleConfirmReceiptPipe, HandleConfirmReceiptContent };
