import { AbstractTrackerDaemon } from './base/daemon';
declare class TrackerDaemon extends AbstractTrackerDaemon {
    constructor();
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
    protected _storePool(): Promise<void>;
    protected _clearPool(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _buildEnablePeerTask(): Promise<void>;
    protected _execEnablePeerTaskCallee(): Promise<void>;
    protected _execEnablePeerTaskOnFinish(): Promise<void>;
    protected _recordEnabled(): Promise<void>;
    protected _recordDisabled(): Promise<void>;
}
export { TrackerDaemon };
