import { AbstractFeedbackAgent } from '../base/agent';
import { FeedbackPipeConstructor } from '../base/pipe';
declare class TrackerFeedbackAgent extends AbstractFeedbackAgent {
    static readonly PIPE_NAMES: Map<string, string>;
    static readonly PIPE_CLASSES: Map<string, FeedbackPipeConstructor>;
    protected get _pipeNames(): Map<string, string>;
    protected get _pipeClasses(): Map<string, FeedbackPipeConstructor>;
}
export { TrackerFeedbackAgent };
