import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { AbstractLauncher, SpecLauncher } from '../../../base/launcher/launcher';
import { AbstractTrackerDaemon } from '../../daemon/base/daemon';
import { AbstractFeedbackAgent } from './feedback/base/agent';
interface SpecTrackerLauncher extends SpecLauncher {
}
declare abstract class AbstractTrackerLauncher extends AbstractLauncher implements SpecTrackerLauncher {
    protected _agent: AbstractFeedbackAgent;
    protected _daemon?: Nullable<AbstractTrackerDaemon>;
    protected _buildProcessFeedbackTask(): Promise<void>;
    protected _execProcessFeedbackTaskCallee(): Promise<void>;
}
declare class TrackerLauncherEvent {
    static readonly CONNECTED = "connected";
}
declare class TrackerLauncherTaskName {
    static readonly PROCESS_FEEDBACK = "tracker launcher: process feedback";
}
export { SpecTrackerLauncher, AbstractTrackerLauncher, TrackerLauncherEvent, TrackerLauncherTaskName };
