import { AbstractFlow } from '@mlytics/core-ts/utility/flow';
declare class SystemInitializer extends AbstractFlow {
    process(): Promise<void>;
    protected _updateServerHosts(): Promise<void>;
    protected _createAPIRequester(): Promise<void>;
    protected _updateClientToken(): Promise<void>;
    protected _updateSystemConfig(): Promise<void>;
    static process(): Promise<void>;
}
declare class SystemDeinitializer extends AbstractFlow {
    process(): Promise<void>;
    protected _resetAPIRequester(): Promise<void>;
    static process(): Promise<void>;
}
export { SystemInitializer, SystemDeinitializer };
