import { MessageCodeObject } from '@mlytics/core-ts/core/.const/code';
import { InternalError } from '@mlytics/core-ts/core/util/error';
import { ResponsePayload } from '../model/message';
declare class SWProxyErrorMessageCreator {
    protected readonly _id: string;
    protected readonly _cause: Error;
    protected readonly _clientID: string;
    static readonly DEFAULT_MESSAGE_CODE: MessageCodeObject;
    protected _code: MessageCodeObject;
    protected _error: InternalError;
    protected _payload: ResponsePayload;
    constructor(_id: string, _cause: Error, _clientID: string);
    get id(): string;
    get cause(): Error;
    get clientID(): string;
    get code(): MessageCodeObject;
    get error(): InternalError;
    get payload(): ResponsePayload;
    protected _initialize(): void;
    protected _setCode(): void;
    protected _setError(): void;
    protected _setMessage(): void;
}
export { SWProxyErrorMessageCreator };
