import { Nullable } from '@mlytics/core-ts/core/type/basic';
declare class HLSSWServer {
    protected _isActive: boolean;
    get isActive(): boolean;
    start(): void;
    protected _start(): void;
    protected _bindEvents(): void;
    protected _onInstall(event: ExtendableEvent): void;
    protected _onActivate(event: ExtendableEvent): void;
    protected _onFetch(event: FetchEvent): void;
}
declare const HLSSWURLPatterns: Record<string, HLSSWURLPattern>;
type HLSSWURLPattern = {
    regex: RegExp;
    matches: Set<string>[];
};
declare class HLSSWServerOwner {
    protected static _server: Nullable<HLSSWServer>;
    static create(): HLSSWServer;
}
export { HLSSWServer, HLSSWServerOwner, HLSSWURLPatterns };
