import { Hls, ManifestParsedData } from '../../../../../../../module/lib/hls';
declare abstract class AbstractQualityController {
    static readonly AUTO_LEVEL = -1;
    protected _hls: Hls;
    protected _currentLevel: number;
    protected _fallbackLevel: number;
    protected constructor(options: QualityControllerOptions);
    get currentLevel(): number;
    set currentLevel(level: number);
    get fallbackLevel(): number;
    abstract build(data: ManifestParsedData): void;
    protected _buildFallbackLevel(data: ManifestParsedData): void;
    destroy(): void;
}
type QualityControllerOptions = {
    hls: Hls;
};
export { AbstractQualityController, QualityControllerOptions };
