import { PartialDeep } from '@mlytics/core-ts/core/type/basic';
import { HlsConfig } from '../../../../../../../module/lib/hls';
import { AbstractHlsPlayerPlugin, HlsPlayerAdapterOptions, SpecHlsPlayerAdapter } from '../../../../base/streaming/hls/player/plugin';
import { DPlayerOptions } from '../../../base/module/player';
declare global {
    interface MLYSpecDriverExtensions {
        DPlayerHlsPlayerPlugin: typeof DPlayerHlsPlayerPlugin;
    }
}
declare const DPlayerHlsPlayerPlugin_base: typeof AbstractHlsPlayerPlugin & import("../../../base/module/mixin").SpecDPlayerExtensionAbstractMixin;
declare class DPlayerHlsPlayerPlugin extends DPlayerHlsPlayerPlugin_base {
    static _isPublic: boolean;
    static _publicName: string;
    static _setup(): void;
    static create(playerOptions: DPlayerHlsPlayerOptions, adapterOptions?: PartialDeep<DPlayerHlsAdapterOptions>): SpecHlsPlayerAdapter;
}
type DPlayerHlsPlayerOptions = DPlayerOptions & {
    hlsConfig: HlsConfig;
};
type DPlayerHlsAdapterOptions = HlsPlayerAdapterOptions;
export { DPlayerHlsPlayerPlugin };
