import { PartialDeep } from '@mlytics/core-ts/core/type/basic';
import { AbstractHlsPlayerPlugin, HlsPlayerAdapterOptions, SpecHlsPlayerAdapter } from '../../../../base/streaming/hls/player/plugin';
import { HlsConfig } from '../../../base/module/player';
declare global {
    interface MLYSpecDriverExtensions {
        HlsjsHlsPlayerPlugin: typeof HlsjsHlsPlayerPlugin;
    }
}
declare const HlsjsHlsPlayerPlugin_base: typeof AbstractHlsPlayerPlugin & import("../../../base/module/mixin").SpecHlsjsExtensionAbstractMixin;
declare class HlsjsHlsPlayerPlugin extends HlsjsHlsPlayerPlugin_base {
    static _isPublic: boolean;
    static _publicName: string;
    static _setup(): void;
    static create(options: HlsjsHlsPlayerAdapterOptions): SpecHlsPlayerAdapter;
}
type HlsjsHlsPlayerAdapterOptions = HlsjsHlsPlayerOptions & {
    adapterOptions?: PartialDeep<HlsjsHlsAdapterOptions>;
};
type HlsjsHlsPlayerOptions = {
    url: string;
    element: HTMLMediaElement;
    hlsConfig: HlsConfig;
};
type HlsjsHlsAdapterOptions = HlsPlayerAdapterOptions;
export { HlsjsHlsPlayerPlugin };
