import { AbstractClassLike, ClassLike } from '@mlytics/core-ts/core/type/basic';
import { Videojs7 } from '../../videojs7/base/module/player';
import { Videojs8 } from '../../videojs8/base/module/player';
interface SpecVideojsExtension {
    _videojs: Videojs7 | Videojs8;
}
interface SpecVideojsExtensionClass {
    _videojs: Videojs7 | Videojs8;
}
interface SpecVideojsExtensionMixin extends SpecVideojsExtensionClass, ClassLike<SpecVideojsExtension> {
}
declare const VideojsExtensionMixer: <T extends ClassLike<object, any[]>>(base: T) => T & SpecVideojsExtensionMixin;
declare const VideojsExtensionMixin_base: ObjectConstructor & SpecVideojsExtensionMixin;
declare class VideojsExtensionMixin extends VideojsExtensionMixin_base {
}
interface SpecVideojsExtensionAbstractMixin extends SpecVideojsExtensionClass, AbstractClassLike<SpecVideojsExtension> {
}
declare const VideojsExtensionAbstractMixer: <T extends AbstractClassLike<object, any[]>>(base: T) => T & SpecVideojsExtensionAbstractMixin;
export { SpecVideojsExtension, SpecVideojsExtensionClass, SpecVideojsExtensionMixin, VideojsExtensionMixer, VideojsExtensionMixin, SpecVideojsExtensionAbstractMixin, VideojsExtensionAbstractMixer };
