import { Hls, HlsConfig } from '../../../../../../../../module/lib/hls';
import { AbstractHlsSourcePlugin } from '../../../../../base/streaming/hls/source/plugin';
import { Videojs8SourceTech } from '../../../base/module/plugin';
declare const Videojs8HlsSourcePlugin_base: typeof AbstractHlsSourcePlugin & import("../../../../base/module/mixin").SpecVideojsExtensionAbstractMixin;
declare class Videojs8HlsSourcePlugin extends Videojs8HlsSourcePlugin_base {
    static _setup(): void;
}
type Videojs8HlsTech = Videojs8SourceTech & {
    hls: Hls;
    options_: Videojs8HlsHTML5Options;
};
type Videojs8HlsHTML5Options = {
    playerId: string;
    hlsConfig: HlsConfig;
};
export { Videojs8HlsSourcePlugin, Videojs8HlsTech };
