import { AbstractFlow } from '@mlytics/core-ts/utility/flow';
import { Resource } from '../../model/service/resource';
import { CDNSource } from './model/mcdn';
declare class MCDNSelector extends AbstractFlow<MCDNSelectorContent, MCDNSelectorOutcome> {
    process(): Promise<MCDNSelectorOutcome>;
    protected _intakeResult(): Promise<void>;
    protected get _isUrgentResource(): boolean;
    protected _injectOrigin(): Promise<void>;
    protected _intakeOutcome(): Promise<void>;
    static process(options: MCDNSelectorOptions): Promise<MCDNSelectorOutcome>;
}
type MCDNSelectorContent = {
    resource: Resource;
};
type MCDNSelectorOptions = MCDNSelectorContent;
type MCDNSelectorOutcome = CDNSource[];
export { MCDNSelector };
