import { AbstractFlow } from '@mlytics/core-ts/utility/flow';
import { Resource } from '../../model/service/resource';
declare class P2PDownloadRecorder extends AbstractFlow<P2PDownloadRecorderContent> {
    process(): Promise<void>;
    protected _intakeRecord(): Promise<void>;
    protected _forwardRecord(): Promise<void>;
    static process(options: P2PDownloadRecorderOptions): Promise<void>;
}
type P2PDownloadRecorderContent = P2PDownloadRecordBuilderOptions;
type P2PDownloadRecorderOptions = P2PDownloadRecorderContent;
type P2PDownloadRecordBuilderOptions = {
    peerID: string;
    peerType: string;
    resource: Resource;
    startSize: number;
    startTime: number;
    startPerfTime: number;
    endPerfTime: number;
};
export { P2PDownloadRecorder };
