import { SpecTask } from '@mlytics/core-ts/core/util/future';
import { Resource } from '../../../model/service/resource';
declare class Request {
    protected _task: SpecTask;
    protected _resource: Resource;
    constructor(options: RequestOptions);
    get task(): SpecTask;
    get resource(): Resource;
    get isAborted(): boolean;
    exit(): Promise<void>;
    done(): Promise<void>;
    abort(error: Error): Promise<void>;
}
type RequestOptions = {
    task: SpecTask;
    resource: Resource;
};
export { Request, RequestOptions };
