import { Resource } from '../../../../model/service/resource';
declare abstract class AbstractDownloader {
    protected readonly _resource: Resource;
    protected _isAborted: boolean;
    protected constructor(_resource: Resource);
    protected get _isComplete(): boolean;
    fetch(): Promise<void>;
    protected _beforeFetch(): Promise<void>;
    protected abstract _fetching(): Promise<void>;
    protected _afterFetch(): Promise<void>;
    abort(): Promise<void>;
    protected abstract _abort(): Promise<void>;
    protected _throwIfAborted(): Promise<void>;
}
export { AbstractDownloader };
