declare class BaseActionName {
    static readonly MESSAGE_REPORT_HEALTH = "message: report health";
    static readonly MESSAGE_NOTIFY_EXCEPTION = "message: notify exception";
}
declare class BasePeerActionName extends BaseActionName {
    static readonly REQUEST_OBTAIN_RESOURCE = "request: obtain resource";
    static readonly RESPOND_OBTAIN_RESOURCE = "respond: obtain resource";
}
declare class BaseTrackerActionName extends BaseActionName {
    static readonly MESSAGE_CONFIRM_RECEIPT = "message: confirm receipt";
    static readonly MESSAGE_DELIVER_EXCEPTION = "message: deliver exception";
    static readonly MESSAGE_DELIVER_ICE_CANDIDATE = "message: deliver ice candidate";
}
declare class NodeActionName extends BasePeerActionName {
}
declare class UserActionName extends BasePeerActionName {
    static readonly MESSAGE_REPORT_RESOURCE_STAT = "message: report resource stat";
    static readonly MESSAGE_REPORT_RESOURCE_STATS = "message: report resource stats";
}
declare class TrackerActionName extends BaseTrackerActionName {
    static readonly REQUEST_ENABLE_USER = "request: enable user";
    static readonly RESPOND_ENABLE_USER = "respond: enable user";
    static readonly REQUEST_CONNECT_NODE = "request: connect node";
    static readonly RESPOND_CONNECT_NODE = "respond: connect node";
    static readonly REQUEST_CONNECT_USER = "request: connect user";
    static readonly RESPOND_CONNECT_USER = "respond: connect user";
    static readonly REQUEST_JOIN_SWARM = "request: join swarm";
    static readonly RESPOND_JOIN_SWARM = "respond: join swarm";
    static readonly MESSAGE_REPORT_SWARM_STATS = "message: report swarm stats";
    static readonly REQUEST_OBTAIN_SWARM_USERS = "request: obtain swarm users";
    static readonly RESPOND_OBTAIN_SWARM_USERS = "respond: obtain swarm users";
    static readonly MESSAGE_LEAVE_SWARM = "message: leave swarm";
}
export { BaseActionName, BasePeerActionName, BaseTrackerActionName, NodeActionName, UserActionName, TrackerActionName };
