import { AbstractPeerDaemon } from '../base/daemon';
declare class NodeDaemon extends AbstractPeerDaemon {
    constructor();
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
    protected _storePool(): Promise<void>;
    protected _clearPool(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _buildConnectPeerTask(): Promise<void>;
    protected _execConnectPeerTaskCallee(): Promise<void>;
    protected _execConnectPeerTaskOnFinish(): Promise<void>;
    protected _buildReportHealthTask(): Promise<void>;
    protected _execReportHealthTaskCallee(): Promise<void>;
    protected _recordEnabled(): Promise<void>;
    protected _recordDisabled(): Promise<void>;
}
export { NodeDaemon };
