import { AbstractPeerDaemon } from '../base/daemon';
declare class UserDaemon extends AbstractPeerDaemon {
    protected readonly _options: UserDaemonOptions;
    constructor(_options: UserDaemonOptions);
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
    protected _storePool(): Promise<void>;
    protected _clearPool(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _buildConnectPeerTask(): Promise<void>;
    protected _execConnectPeerTaskCallee(): Promise<void>;
    protected _recordEnabled(): Promise<void>;
    protected _recordDisabled(): Promise<void>;
}
type UserDaemonOptions = {
    flowID: string;
    peerID: string;
    swarmID: string;
    offer?: RTCSessionDescriptionInit;
};
export { UserDaemon, UserDaemonOptions };
