import { AbstractProcessPipe } from '../base/pipe';
import * as flows from '../flow';
declare class LaunchConnectSwarmUserPipe extends AbstractProcessPipe<LaunchConnectSwarmUserContent> {
    process(): Promise<void>;
    protected _connectSwarmUser(): Promise<void>;
}
type LaunchConnectSwarmUserContent = flows.LaunchConnectSwarmUserContent;
declare class LaunchReportResourceStatPipe extends AbstractProcessPipe<LaunchReportResourceStatContent> {
    process(): Promise<void>;
    protected _reportResourceStat(): Promise<void>;
}
type LaunchReportResourceStatContent = flows.LaunchReportResourceStatContent;
declare class LaunchReportResourceStatsPipe extends AbstractProcessPipe<LaunchReportResourceStatsContent> {
    process(): Promise<void>;
    protected _reportResourceStats(): Promise<void>;
}
type LaunchReportResourceStatsContent = flows.LaunchReportResourceStatsContent;
export { LaunchConnectSwarmUserPipe, LaunchConnectSwarmUserContent, LaunchReportResourceStatPipe, LaunchReportResourceStatContent, LaunchReportResourceStatsPipe, LaunchReportResourceStatsContent };
