import { AbstractSwarmDaemon, SwarmDaemonOptions } from './base/daemon';
declare class SwarmDaemon extends AbstractSwarmDaemon {
    protected readonly _options: SwarmDaemonOptions;
    constructor(_options: SwarmDaemonOptions);
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
    protected _storePool(): Promise<void>;
    protected _clearPool(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _recordEnabled(): Promise<void>;
    protected _recordDisabled(): Promise<void>;
}
export { SwarmDaemon };
