import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { AbstractLauncher, SpecLauncher } from '../../../base/launcher/launcher';
import { SwarmInfo } from '../../base/swarm';
import { AbstractSwarmDaemon, SwarmDaemonOptions } from '../../daemon/base/daemon';
interface SpecSwarmLauncher extends SpecLauncher {
}
declare abstract class AbstractSwarmLauncher extends AbstractLauncher implements SpecSwarmLauncher {
    protected readonly _options: SwarmLauncherOptions;
    protected _info: SwarmInfo;
    protected _daemon?: Nullable<AbstractSwarmDaemon>;
    protected constructor(_options: SwarmLauncherOptions);
}
type SwarmLauncherOptions = SwarmDaemonOptions;
export { SpecSwarmLauncher, AbstractSwarmLauncher, SwarmLauncherOptions };
