import { AbstractSwarmLauncher, SwarmLauncherOptions } from './base/launcher';
declare class SwarmLauncher extends AbstractSwarmLauncher {
    protected readonly _options: SwarmLauncherOptions;
    constructor(_options: SwarmLauncherOptions);
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
    protected _terminate(): Promise<void>;
    protected _reactivate(): Promise<void>;
    protected _bindEvents(): Promise<void>;
    protected _buildTasks(): Promise<void>;
    protected _onConnected(): Promise<void>;
    protected _onDisconnected(): Promise<void>;
}
export { SwarmLauncher };
