import { AbstractProcessFlow } from '../../../../../base/daemon/process/flow/flow';
import { SpecTrackerBroker } from '../../../../broker/broker';
declare class LaunchDeliverExceptionFlow extends AbstractProcessFlow<LaunchDeliverExceptionContent> {
    protected _broker: SpecTrackerBroker;
    process(): Promise<void>;
    protected _intakeBroker(): Promise<void>;
    protected _intakeCreator(): Promise<void>;
    protected _recordMessage(): Promise<void>;
    protected _forwardMessage(): Promise<void>;
}
type LaunchDeliverExceptionContent = {
    peerID: string;
    error: Error;
};
export { LaunchDeliverExceptionFlow, LaunchDeliverExceptionContent };
