import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { AbstractProcessFlow } from '../../../../../base/daemon/process/flow/flow';
import { SpecTrackerBroker } from '../../../../broker/broker';
declare class LaunchDeliverIceCandidateFlow extends AbstractProcessFlow<LaunchDeliverIceCandidateContent> {
    protected _broker: SpecTrackerBroker;
    process(): Promise<void>;
    protected _intakeBroker(): Promise<void>;
    protected _intakeMessage(): Promise<void>;
    protected _forwardMessage(): Promise<void>;
}
type LaunchDeliverIceCandidateContent = {
    peerID: string;
    swarmID?: Nullable<string>;
    ice: RTCIceCandidate;
};
export { LaunchDeliverIceCandidateFlow, LaunchDeliverIceCandidateContent };
