import { FlowConstructor, FlowContent, FlowOutcome } from '@mlytics/core-ts/utility/flow';
import { AbstractFeedbackFlow, FeedbackFlowOptions } from './flow';
declare abstract class AbstractFeedbackPipe<Content = unknown, Outcome = unknown> extends AbstractFeedbackFlow<Content, Outcome> {
    constructor(options?: FeedbackPipeOptions<Content>);
}
type FeedbackPipeOptions<Content> = FeedbackFlowOptions<Content>;
type FeedbackPipeContent<Pipe> = FlowContent<Pipe>;
type FeedbackPipeOutcome<Pipe> = FlowOutcome<Pipe>;
type FeedbackPipeConstructor = FlowConstructor<AbstractFeedbackPipe>;
export { AbstractFeedbackPipe, FeedbackPipeOptions, FeedbackPipeContent, FeedbackPipeOutcome, FeedbackPipeConstructor };
