import { AbstractDownloaderAgent, BaseDownloaderProxyName, DownloaderProxyConstructor } from '../../../core/service/filer/seeker/proxy';
declare class DownloaderProxyName extends BaseDownloaderProxyName {
    static readonly MCDN = "mcdn";
    static readonly NODE = "node";
    static readonly USER = "user";
}
declare class DownloaderAgent extends AbstractDownloaderAgent {
    static readonly PROXY_NAMES: Map<string, string[]>;
    static readonly PROXY_CLASSES: Map<string, DownloaderProxyConstructor>;
    protected get _proxyNames(): string[];
    protected get _proxyClasses(): Map<string, DownloaderProxyConstructor>;
}
export { DownloaderAgent, DownloaderProxyName };
