import { Nullable } from '@mlytics/core-ts/core/type/basic';
import { Resource } from '../../../core/model/service/resource';
import { AbstractFileSeeker } from '../../../core/service/filer/seeker/seeker';
declare class FileSeeker extends AbstractFileSeeker {
    constructor();
    protected _initialize(): void;
    protected _activate(): Promise<void>;
    protected _deactivate(): Promise<void>;
}
declare class FileSeekerHolder {
    protected static _instance?: Nullable<FileSeeker>;
    static get instance(): Nullable<FileSeeker>;
    static set instance(value: Nullable<FileSeeker>);
    static fetch(resource: Resource): Promise<Resource>;
    static prefetch(resource: Resource): Promise<Resource>;
    static cache(resource: Resource): Promise<Resource>;
    static abort(resource: Resource): Promise<void>;
}
export { FileSeeker, FileSeekerHolder };
